Skip to main content
PATCH
/
api
/
v1
/
issues
/
{issueId}
cURL
curl --request PATCH \
  --url https://api.staging.qyl.dev/api/v1/issues/{issueId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "assigned_to": "<string>"
}
'
import requests

url = "https://api.staging.qyl.dev/api/v1/issues/{issueId}"

payload = { "assigned_to": "<string>" }
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({assigned_to: '<string>'})
};

fetch('https://api.staging.qyl.dev/api/v1/issues/{issueId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "project_id": "<string>",
  "fingerprint": "<string>",
  "title": "<string>",
  "error_type": "<string>",
  "category": "<string>",
  "first_seen_at": "2023-11-07T05:31:56Z",
  "last_seen_at": "2023-11-07T05:31:56Z",
  "occurrence_count": 123,
  "affected_users_count": 123,
  "regression_count": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "culprit": "<string>",
  "platform": "<string>",
  "substatus": "<string>",
  "assigned_to": "<string>",
  "resolved_at": "2023-11-07T05:31:56Z",
  "resolved_by": "<string>",
  "last_release": "<string>",
  "tags_json": "<string>",
  "metadata_json": "<string>"
}
{
  "type": "about:blank",
  "title": "Validation Failed",
  "status": 123,
  "errors": [
    {
      "field": "<string>",
      "message": "<string>",
      "code": "<string>",
      "rejected_value": "<string>"
    }
  ],
  "detail": "<string>",
  "instance": "<string>",
  "timestamp": "2023-11-07T05:31:56Z"
}
{
  "type": "about:blank",
  "title": "Not Found",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "resource_type": "<string>",
  "resource_id": "<string>"
}
{
  "type": "about:blank",
  "title": "Internal Server Error",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "error_code": "<string>"
}

Path Parameters

issueId
string
required

Body

application/json

Issue update request

status
enum<string>

New status

Available options:
unresolved,
acknowledged,
investigating,
in_progress,
resolved,
ignored,
regressed
priority
enum<string>

New priority

Available options:
critical,
high,
medium,
low
assigned_to
string

Assignee

Response

The request has succeeded.

Error issue aggregate with lifecycle tracking

id
string
required

Issue ID

project_id
string
required

Owning project

fingerprint
string
required

Error fingerprint for grouping

title
string
required

Issue title

error_type
string
required

Error type (exception class name or code)

category
string
required

Error category

level
enum<string>
required

Severity level

Available options:
debug,
info,
warning,
error,
fatal
first_seen_at
string<date-time>
required

First occurrence

last_seen_at
string<date-time>
required

Last occurrence

occurrence_count
integer<int64>
required

Total occurrence count

affected_users_count
integer<int32>
required

Affected unique users count

status
enum<string>
required

Issue status

Available options:
unresolved,
acknowledged,
investigating,
in_progress,
resolved,
ignored,
regressed
priority
enum<string>
required

Priority level

Available options:
critical,
high,
medium,
low
regression_count
integer<int32>
required

Number of regressions

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

culprit
string

Culprit (function/module causing the error)

platform
string

Platform (csharp, javascript, python, etc.)

substatus
string

Issue substatus

assigned_to
string

Assigned team member

resolved_at
string<date-time>

Resolution timestamp

resolved_by
string

Resolved by

last_release
string

Last associated release

tags_json
string

Issue tags

metadata_json
string

Issue metadata